Package com.mckoi.database

## Interface TriggerListener

All Known Implementing Classes:
  `DatabaseConnection`

    public interface TriggerListener

A listener that can listen for high layer trigger events.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `fireTrigger​(DatabaseConnection database, java.lang.String trigger_name, TriggerEvent trigger_evt)` Notifies that a trigger event fired.

### Method Detail

#### fireTrigger

    void fireTrigger​(DatabaseConnection database,
                     java.lang.String trigger_name,
                     TriggerEvent trigger_evt)

Notifies that a trigger event fired.

Parameters:
  `database` - the DatabaseConnection that this trigger is registered for.
  `trigger_evt` - the trigger event that was fired.